<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css">
</head>

<body>
    <div class="container m-5">
        <button type="button" class="btn btn-primary m-2" onclick="getAll()">API GET ALL ORDERs</button>
        <button type="button" class="btn btn-secondary m-2" onclick="getById()">API GET BY ID</button>
        <button type="button" class="btn btn-success m-2" onclick="createOrder()">API CREATE</button>
        <button type="button" class="btn btn-danger m-2" onclick="updateOrder()">API UPDATE</button>
        <button type="button" class="btn btn-warning m-2" onclick="getVoucherById()">API CHECK VOUCHER BY ID</button>
        <button type="button" class="btn btn-warning m-2" onclick="getDrinkList()">API GET DRINK LIST</button>
    </div>
    <script>
        const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        
        async function fetchAPI(url, options) {
            var response = await fetch(url, options);

            var data = await response.json();

            console.log(data);
        }

        function getAll() {
            fetchAPI(gBASE_URL, {
                method: "GET"
            });
        }

        function getById() {
            fetchAPI(gBASE_URL + "/190242", {
                method: "GET"
            });
        }

        function createOrder() {
            fetchAPI(gBASE_URL, {
                method: "POST",
                body: JSON.stringify({
                    kichCo: "M",
                    duongKinh: "25",
                    suon: "4",
                    salad: "300",
                    loaiPizza: "HAWAII",
                    idVourcher: "16512",
                    idLoaiNuocUong: "PEPSI",
                    soLuongNuoc: "3",
                    hoTen: "Phạm Thanh Bình",
                    thanhTien: "200000",
                    email: "binhpt001@devcamp.edu.vn",
                    soDienThoai: "0865241654",
                    diaChi: "Hà Nội",
                    loiNhan: "Pizza đế dày",
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }

        function updateOrder() {
            fetchAPI(gBASE_URL + "/190242", {
                method: "PUT",
                body: JSON.stringify({
                    kichCo: "M",
                    duongKinh: "25",
                    suon: "4",
                    salad: "300",
                    loaiPizza: "HAWAII",
                    idVourcher: "16512",
                    idLoaiNuocUong: "PEPSI",
                    soLuongNuoc: "3",
                    hoTen: "Phạm Thanh Bình",
                    thanhTien: "200000",
                    email: "binhpt001@devcamp.edu.vn",
                    soDienThoai: "0865241654",
                    diaChi: "Hà Nội",
                    loiNhan: "Pizza đế dày",
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }

        function getVoucherById() {
            fetchAPI("http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + "/95531", {
                method: "GET"
            });
        }

        function getDrinkList() {
            fetchAPI("http://203.171.20.210:8080/devcamp-pizza365/drinks", {
                method: "GET"
            });
        }
    </script>
</body>

</html>